summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/ringtone17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/ringtone b/bin/ringtone
new file mode 100755
index 0000000..5c8cfe1
--- /dev/null
+++ b/bin/ringtone
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if [ $# -lt 3 ]; then
+ echo "usage: ringtone <input> <output> <fake_video_file>"
+ echo "note: fake_video_file is unused, but must be valid"
+ echo " and at least the length of the output"
+ exit 1
+fi
+
+mencoder -ovc frameno \
+ -oac mp3lame \
+ -lameopts cbr:br=64 \
+ -of rawaudio \
+ -o $2 \
+ -audiofile $1 \
+ -endpos 256kb \
+ $3